test: _RESOURCE_PERFORMANCE_DATA struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# _RESOURCE_PERFORMANCE_DATA Struct Reference

`#include <ex.h>`

List of all members.

## Public Attributes

ULONG | ActiveResourceCount
ULONG | TotalResourceCount
ULONG | ExclusiveAcquire
ULONG | SharedFirstLevel
ULONG | SharedSecondLevel
ULONG | StarveFirstLevel
ULONG | StarveSecondLevel
ULONG | WaitForExclusive
ULONG | OwnerTableExpands
ULONG | MaximumTableExpand
LIST_ENTRY | HashTable [RESOURCE_HASH_TABLE_SIZE]

## Member Data Documentation

ULONG _RESOURCE_PERFORMANCE_DATA::ActiveResourceCount

| Definition at line 2323 of file ex.h. Referenced by ExDeleteResourceLite(), ExInitializeResourceLite(), and ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::ExclusiveAcquire

| Definition at line 2325 of file ex.h. Referenced by ExpResourceInitialization().

LIST_ENTRY _RESOURCE_PERFORMANCE_DATA::HashTable[RESOURCE_HASH_TABLE_SIZE]

| Definition at line 2333 of file ex.h. Referenced by ExDeleteResourceLite(), and ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::MaximumTableExpand

| Definition at line 2332 of file ex.h. Referenced by ExpFindCurrentThread(), and ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::OwnerTableExpands

| Definition at line 2331 of file ex.h. Referenced by ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::SharedFirstLevel

| Definition at line 2326 of file ex.h. Referenced by ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::SharedSecondLevel

| Definition at line 2327 of file ex.h. Referenced by ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::StarveFirstLevel

| Definition at line 2328 of file ex.h. Referenced by ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::StarveSecondLevel

| Definition at line 2329 of file ex.h. Referenced by ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::TotalResourceCount

| Definition at line 2324 of file ex.h. Referenced by ExInitializeResourceLite(), and ExpResourceInitialization().

ULONG _RESOURCE_PERFORMANCE_DATA::WaitForExclusive

| Definition at line 2330 of file ex.h. Referenced by ExpResourceInitialization().

The documentation for this struct was generated from the following file:

- ex.h